Summary: A library for manipulating GIF format image files.
Name: libregif
Version: 4.1.7
Release: 1
Copyright: MIT
Group: Libraries
Source: %{name}-%{version}.tar.gz
URL: http://armory.nicewarrior.org/projects/libregif/
BuildRoot: /var/tmp/libregif-root
Prefix: /usr

Provides: libgif.so.4 libgif.so libgif libungif.so.4 libungif.so libungif giflib
Obsoletes: giflib libgif libungif libungif-rhcn 

%description
The libregif package contains a shared library of functions for loading
and saving GIF format image files.  The libregif library can load any
GIF file, and it will save GIFs in compressed format.

Install the libregif package if you need to manipulate GIF files.

%package devel
Summary: Development tools for programs which will use the libregif library. 
Group: Development/Libraries
Provides: libgif-devel libungif-devel
Obsoletes: libgif-devel libungif-devel
%description devel
This package contains the static libraries, header files and documentation
necessary for development of programs that will use the libregif library
to load and save GIF format image files.

You should install this package if you need to develop programs which
will use the libregif library functions for loading and saving GIF format
image files.  You'll also need to install the libregif package.

%prep
%setup

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=/usr
make all

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR="${RPM_BUILD_ROOT}" install

{
    cd ${RPM_BUILD_ROOT}/usr/lib
    chmod +x libregif.so
}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(- root root)
%doc COPYING README NEWS ONEWS
%doc ChangeLog TODO AUTHORS PATENT_PROBLEMS
/usr/lib/lib*.so.*
/usr/lib/lib*.so

%files devel
%defattr(- root root)
%doc doc/*
/usr/lib/lib*.a
/usr/include/gif_lib.h

%changelog
* Fri Nov 11 2005 Joey Parrish <joey@nicewarrior.org>
- Removed stderr references on windows for better cygwin -> mingw compatibility.
- Added a configure flag for x86_64 builds.

* Thu Sep 30 2004 Joey Parrish <joey@nicewarrior.org>
- Fixed some package bugs

* Wed Sep 15 2004 Joey Parrish <joey@nicewarrior.org>
- Use binary mode for files on cygwin and mingw

* Sun Jul 18 2004 Joey Parrish <joey@nicewarrior.org>
- Fixed a bug in the build system that broke install on win boxen.
- Called it libregif 4.1.4

* Mon Apr 12 2004 Joey Parrish <joey@nicewarrior.org>
- Got rid of all the useless utils, X11 deps, and all the auto* crap.
- Wrote simple Makefiles and configure.
- Most of the machine-dependant code was useless anyways.
- Gutted this entire mess, really.
- Called it libregif 4.1.3

* Sun Nov 3 2002 Joey Parrish <joey@nicewarrior.org>
- Hacked the compression code back in.
- Called it libregif 4.1.2

* Tue Jan 19 1999 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 4.1
  + Fix a few minor memory leaks in error conditions.
  + Add a new function EGifOpen( void *userData, OutputFunc writeFunc) that
    allows user specified gif writing function.
- Merge spec file from libungif-3.1-5

* Mon Dec 14 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 4.0 (Fixes rather nasty behaviour when dealing with
  Extensions.)

* Fri Oct 9 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.1 (Fixes some segfaults and memory leaks when dealing
  with extensions and colourmaps.)

* Mon Sep 7 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.0 (which incorporates the patches in 3.0-4)
- Updated Source: and URL: to reflect change in directories/pages.

* Tue May 26 1998 Dick Porter <dick@cymru.net>
- Fixed some "warning: cast to pointer from integer of different size" on Alpha

* Tue May 5 1998 Marc Ewing <marc@redhat.com>
- Made it obsolete giflib and provide libgif.so and giflib (previous
  giflib packages were built incorrectly and packages built against
  it require libgif.so but work fine with this package)
- cleaned buildroot
- Removed Toshio as packager so he doesn't get yelled at when Red Hat
  breaks it :-)

* Fri Apr 24 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Initial revision of libungif, a giflib derivative modified to not use LZW
  compression.
